<?php
/**
* @version 1.0.0
* @package RSEvents! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewCategoriesElement extends JView
{
	function display($tpl = null)
	{
				
				
				$filter			=JRequest::getVar('rs_filter');
				$sortColumn		=JRequest::getVar('filter_order','#__rsevents_categories.ordering');
				$sortOrder	=JRequest::getVar('filter_order_Dir','asc');
				$listCateg=$this->get('data');
				$pagination=$this->get('pagination');
				$CategoryList=$this->get('listCategories');
				
				
				$this->assignRef('filter',$filter);
				$this->assignRef('sortColumn',$sortColumn);
				$this->assignRef('sortOrder',$sortOrder);
				$this->assignRef('listCategories',$CategoryList);
				$this->assignRef('data',$listCateg);
				$this->assignRef('pagination',$pagination);
		
		parent::display($tpl);
	}
}